## Shared Memory Limits Shared Memory Limits |

## Functions

void | glibtop_get_shm_limits ()
void | glibtop_get_shm_limits_l ()
void | glibtop_get_shm_limits_p ()
void | glibtop_get_shm_limits_s ()

## Types and Values

#define | GLIBTOP_IPC_SHMMAX
#define | GLIBTOP_IPC_SHMMIN
#define | GLIBTOP_IPC_SHMMNI
#define | GLIBTOP_IPC_SHMSEG
#define | GLIBTOP_IPC_SHMALL
#define | GLIBTOP_MAX_SHM_LIMITS
struct | glibtop_shm_limits
#define | glibtop_get_shm_limits_r

## Includes

    #include <glibtop/shm_limits.h>

## Description

## Functions

### glibtop_get_shm_limits ()

    void
    glibtop_get_shm_limits (glibtop_shm_limits *buf);

#### Parameters

buf | a glibtop_shm_limits |

### glibtop_get_shm_limits_l ()

    void
    glibtop_get_shm_limits_l (glibtop *server,
                              glibtop_shm_limits *buf);

#### Parameters

server | a glibtop server |
buf | a glibtop_shm_limits |

### glibtop_get_shm_limits_p ()

    void
    glibtop_get_shm_limits_p (glibtop *Param1,
                              glibtop_shm_limits *buf);

#### Parameters

server | a glibtop server |
buf | a glibtop_shm_limits |

### glibtop_get_shm_limits_s ()

    void
    glibtop_get_shm_limits_s (glibtop *server,
                              glibtop_shm_limits *buf);

#### Parameters

server | a glibtop server |
buf | a glibtop_shm_limits |

## Types and Values

### GLIBTOP_IPC_SHMMAX

    #define GLIBTOP_IPC_SHMMAX 0

### GLIBTOP_IPC_SHMMIN

    #define GLIBTOP_IPC_SHMMIN 1

### GLIBTOP_IPC_SHMMNI

    #define GLIBTOP_IPC_SHMMNI 2

### GLIBTOP_IPC_SHMSEG

    #define GLIBTOP_IPC_SHMSEG 3

### GLIBTOP_IPC_SHMALL

    #define GLIBTOP_IPC_SHMALL 4

### GLIBTOP_MAX_SHM_LIMITS

    #define GLIBTOP_MAX_SHM_LIMITS 5

### struct glibtop_shm_limits

    struct glibtop_shm_limits {
    	guint64 flags;
    	guint64 shmmax;		/* GLIBTOP_IPC_SHMMAX */
    	guint64 shmmin;		/* GLIBTOP_IPC_SHMMIN */
    	guint64 shmmni;		/* GLIBTOP_IPC_SHMMNI */
    	guint64 shmseg;		/* GLIBTOP_IPC_SHMSEG */
    	guint64 shmall;		/* GLIBTOP_IPC_SHMALL */
    };

### glibtop_get_shm_limits_r

    #define glibtop_get_shm_limits_r glibtop_get_shm_limits_p